[ARVADOS-DEV] updated: 858cd93950d0fd7b621e9e4656261856e60856ad

git at public.curoverse.com git at public.curoverse.com
Sat May 16 17:29:17 EDT 2015


Summary of changes:
 jenkins/run-build-packages.sh | 36 ++++++++++++++++++++++++++----------
 jenkins/run-tests.sh          | 43 ++++++++++++++++++++++++++++++++++++-------
 2 files changed, 62 insertions(+), 17 deletions(-)

       via  858cd93950d0fd7b621e9e4656261856e60856ad (commit)
       via  034677aa057f89be2d5bf923d6956164396d11cb (commit)
       via  acdfc466ec52fbbf394f0e0b00544e809e74cec8 (commit)
      from  274c7abf3aee7dee8bfe648f485087a5a0ab59ed (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 858cd93950d0fd7b621e9e4656261856e60856ad
Merge: 274c7ab 034677a
Author: Brett Smith <brettcsmith at brettcsmith.org>
Date:   Sat May 16 17:28:59 2015 -0400

    Merge branch '3793-docker-cleaner-wip'
    
    Refs #3793.  Closes #6003.


commit 034677aa057f89be2d5bf923d6956164396d11cb
Author: Brett Smith <brett at curoverse.com>
Date:   Tue May 12 17:01:39 2015 -0400

    3793: Build Docker cleaner service in run-build-packages.sh.

diff --git a/jenkins/run-build-packages.sh b/jenkins/run-build-packages.sh
index 5ba1eb9..3b9fc15 100755
--- a/jenkins/run-build-packages.sh
+++ b/jenkins/run-build-packages.sh
@@ -81,6 +81,16 @@ if [[ "$?" != 0 ]]; then
   exit 1
 fi
 
+if ! easy_install3 --version >/dev/null; then
+  cat >&2 <<EOF
+$helpmessage
+
+Error: easy_install3 (from python3-setuptools) not found
+
+EOF
+  exit 1
+fi
+
 if [[ "$DEBUG" != 0 ]]; then
   echo "Workspace is $WORKSPACE"
 fi
@@ -130,27 +140,28 @@ build_and_scp_deb () {
   PACKAGE=$1
   shift
   # The name of the package to build.  Defaults to $PACKAGE.
-  PACKAGE_NAME=$1
+  PACKAGE_NAME=${1:-$PACKAGE}
   shift
   # Optional: the vendor of the package.  Should be "Curoverse, Inc." for
   # packages of our own software.  Passed to fpm --vendor.
   VENDOR=$1
   shift
   # The type of source package.  Passed to fpm -s.  Default "python".
-  PACKAGE_TYPE=$1
+  PACKAGE_TYPE=${1:-python}
   shift
+
+  if [ "python3" = "$PACKAGE_TYPE" ]; then
+      # fpm does not actually support this package type.  Instead we recognize
+      # it as a convenience shortcut to add several necessary arguments to
+      # fpm's command line later.
+      PACKAGE_TYPE=python
+      set -- "$@" --python-bin python3 --python-easyinstall easy_install3 \
+          --python-package-name-prefix python3
+  fi
   # Optional: the package version number.  Passed to fpm -v.
   VERSION=$1
   shift
 
-  if [[ "$PACKAGE_NAME" == "" ]]; then
-    PACKAGE_NAME=$PACKAGE
-  fi
-
-  if [[ "$PACKAGE_TYPE" == "" ]]; then
-    PACKAGE_TYPE='python'
-  fi
-
   declare -a COMMAND_ARR=("fpm" "--maintainer=Ward Vandewege <ward at curoverse.com>" "-s" "$PACKAGE_TYPE" "-t" "deb" "-x" "usr/local/lib/python2.7/dist-packages/tests")
 
   if [[ "$PACKAGE_NAME" != "$PACKAGE" ]]; then
@@ -461,6 +472,10 @@ cd $WORKSPACE/debs
 # to match our other version numbers. Cf. commit 4afcb8c, compliance with PEP-440.
 build_and_scp_deb $WORKSPACE/services/nodemanager arvados-node-manager 'Curoverse, Inc.' 'python' "$(awk '($1 == "Version:"){ gsub(/-/,".",$2); print $2}' $WORKSPACE/services/nodemanager/arvados_node_manager.egg-info/PKG-INFO)" "--url=https://arvados.org" "--description=The Arvados node manager"
 
+# The Docker image cleaner
+cd $WORKSPACE/debs
+build_and_scp_deb $WORKSPACE/services/dockercleaner arvados-docker-cleaner 'Curoverse, Inc.' 'python3' "$(awk '($1 == "Version:"){print $2}' $WORKSPACE/services/dockercleaner/arvados_docker_cleaner.egg-info/PKG-INFO)" "--url=https://arvados.org" "--description=The Arvados Docker image cleaner"
+
 # A few dependencies
 for deppkg in python-gflags pyvcf google-api-python-client oauth2client \
       pyasn1 pyasn1-modules rsa uritemplate httplib2 ws4py virtualenv \
@@ -468,6 +483,7 @@ for deppkg in python-gflags pyvcf google-api-python-client oauth2client \
       pycrypto backports.ssl_match_hostname; do
     build_and_scp_deb "$deppkg"
 done
+build_and_scp_deb docker-py python3-docker-py python3
 
 # cwltool from common-workflow-language. We use this in arv-run-pipeline-instance.
 # We use $WORKSPACE/common-workflow-language as the clean directory from which to build the cwltool package

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list